## wpewebkit 2.42.4

=== debian/changelog ===
wpewebkit (2.42.4-1+rpi1) trixie-staging; urgency=medium

  * Disable webgl on armel too for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 24 Dec 2023 11:19:01 +0000

wpewebkit (2.42.4-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Dec 2023 16:43:01 +0100

wpewebkit (2.42.3-1) unstable; urgency=high

  * New upstream release.
  * Drop support for some arches that are unsupported or haven't worked in
    a long time: m68k, mips and mipsel.
  * debian/control.in:
    - Set the debhelper compatibility level to 13.
  * debian/rules:
    - Stop overriding dh_missing, no longer needed with dh compat 13.

 -- Alberto Garcia <berto@igalia.com>  Mon, 04 Dec 2023 19:55:50 +0100

wpewebkit (2.42.2-1) unstable; urgency=high

  * New upstream release.
  * Update copyright information of all files.
  * debian/patches/fix-ftbfs-m68k.patch:
    - Drop this patch, it hasn't worked in a long time.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Nov 2023 13:18:46 +0100

wpewebkit (2.42.1-1) unstable; urgency=high

  * New upstream release.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Thu, 28 Sep 2023 11:04:41 +0200

wpewebkit (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * debian/control.in:
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.
    - Remove the minimum versions of build dependencies in the cases where
      they are very old.
    - Require CMake 3.16.
  * Update copyright information of all files.
  * debian/libwpewebkit-1.0-3.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Wed, 20 Sep 2023 16:50:08 +0200

wpewebkit (2.40.5-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 01 Aug 2023 23:50:40 +0300

wpewebkit (2.40.4-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:59:25 +0200

wpewebkit (2.40.3-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation.
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 Jun 2023 15:41:56 +0200

wpewebkit (2.40.2-2) unstable; urgency=medium

  * Replace the 2.0 API with the older 1.1 API.
    - Let's wait until all reverse dependencies are ready before making
      the switch to the 2.0 API in unstable (see #1037139).

 -- Alberto Garcia <berto@igalia.com>  Fri, 16 Jun 2023 16:38:10 +0200

wpewebkit (2.40.2-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Sun, 04 Jun 2023 16:59:52 +0200

wpewebkit (2.40.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Wed, 19 Apr 2023 16:51:34 +0200

wpewebkit (2.40.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/rules:
    - Disable WebGL in armel and mipsel to work around a FTBFS caused by
      upstream bug #252670.

 -- Alberto Garcia <berto@igalia.com>  Wed, 22 Mar 2023 13:39:34 +0100

wpewebkit (2.39.91-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/control.in:
    - Add build dependencies on libgstreamer-plugins-bad1.0-dev, unidef
      and libavif-dev.
  * debian/rules:
    - Build with -DDEBUG_FISSION=OFF since it adds the -gsplit-dwarf flag
      that is currently not supported by dh_dwz (see #1016936).
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * Update copyright information of all files.
  * Replace the 1.1 API build with the new 2.0 one.
    - Rename all packages from 1.1 -> 2.0.
    - Rename libwpewebkit-1.0-doc to libwpewebkit-doc.
  * debian/libwpewebkit-1.0-3.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Sat, 11 Mar 2023 01:44:31 +0100
