=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
-# This file is autogenerated. DO NOT EDIT
 Source: wpewebkit
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 13),
-               bubblewrap [!alpha !ia64 !riscv64 !sh4 !sparc64],
-               xdg-dbus-proxy [!alpha !ia64 !riscv64 !sh4 !sparc64],
-               libseccomp-dev [!alpha !ia64 !riscv64 !sh4 !sparc64],
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
+               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
+               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                cmake (>= 3.16),
                gperf,
                libatk-bridge2.0-dev,
@@ -47,16 +46,16 @@
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
-Package: libwpewebkit-1.1-dev
+Package: libwpewebkit-2.0-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
+Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
          libglib2.0-dev,
          libsoup-3.0-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
-Suggests: libwpewebkit-1.0-doc
+Suggests: libwpewebkit-doc
 Description: Web content engine for embedded devices - development files
  WebKit is a modern web engine that is able to display content such as
  HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
@@ -68,12 +67,12 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 2.0 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the development files.
 
-Package: libwpewebkit-1.1-0
+Package: libwpewebkit-2.0-1
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -90,7 +89,7 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 2.0 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the shared libraries.
@@ -98,7 +97,7 @@
 Package: wpewebkit-driver
 Architecture: linux-any
 Section: web
-Depends: ${driver:Depends},
+Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: WPE WebKit WebDriver support
@@ -114,12 +113,14 @@
  .
  This package provides the WebDriver service implementation.
 
-Package: libwpewebkit-1.0-doc
+Package: libwpewebkit-doc
 Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: libwpewebkit-1.0-doc (<< 2.42.5-2~)
+Replaces: libwpewebkit-1.0-doc (<< 2.42.5-2~)
 Suggests: devhelp
 Description: Web content engine for embedded devices - documentation
  WebKit is a modern web engine that is able to display content such as
@@ -133,3 +134,12 @@
  best performance.
  .
  This package contains the documentation.
+
+Package: libwpewebkit-1.0-doc
+Build-Profiles: <!nodoc>
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: libwpewebkit-doc, ${misc:Depends}
+Description: Transitional dummy package
+ This is a transitional dummy package, it can be safely removed.
